| Leonetienne/Hazelnupp Simple, easy to use, command line parameter interface

Public Member Functions | Protected Attributes | List of all members
HazelnuppException Class Reference

Generic hazelnupp exception. More...

`#include <HazelnuppException.h>`

Inheritance diagram for HazelnuppException:
[legend]
Collaboration diagram for HazelnuppException:
[legend]

## Public Member Functions
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Protected Attributes
std::string | message

## Detailed Description

Generic hazelnupp exception.

Definition at line 6 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## ◆ HazelnuppException() [1/2]

HazelnuppException::HazelnuppException | ( |  | ) |
| inline

Definition at line 9 of file HazelnuppException.h.

9 {};

## ◆ HazelnuppException() [2/2]

HazelnuppException::HazelnuppException | ( | const std::string & | msg | ) |
| inline

Definition at line 10 of file HazelnuppException.h.

10 : message{ msg } {};

## Member Function Documentation

## ◆ What()

const std::string& HazelnuppException::What | ( |  | ) | const
| inline

Will return an error message.

Definition at line 13 of file HazelnuppException.h.

14 {
15 return message;
16 }

## Member Data Documentation

## ◆ message

std::string HazelnuppException::message
| protected

Definition at line 19 of file HazelnuppException.h.

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

HazelnuppException::message
std::string message
Definition: HazelnuppException.h:19